﻿@using System.Globalization
@model IEnumerable<WikiModel.Model.Document>

@{
    ViewBag.Title = @Caption.Index;
    Layout = "~/Views/Shared/_GlobalLayout.cshtml";
    //== WebGrid Constructor Parameters ====================
    var grid = new WebGrid(
        source: Model,
        defaultSort: "ID",
        rowsPerPage: 10,
        canPage: true,
        canSort: true,
        selectionFieldName: "SelectedRow"
        //ajaxUpdateContainerId: "gridContent",
        //columnNames: new[] {""},
        //ajaxUpdateCallback: "",
        //fieldNamePrefix: "",
        //pageFieldName: "",
        //sortFieldName: "",
        //sortDirectionFieldName: ""
        );
}


@*== Script ================================================*@

<script type="text/javascript">
    $(document).ready(function () {

        $('#DocumentsGride tbody tr').hover(function () {
            $(this).toggleClass('webgrid-Row-hover');
        });

        //$('#DocumentsGride tbody tr').click(function () {
        //    $(this).addClass('webgrid-selected-Row');
        //}, function () {
        //    window.document.location = $(this).find("a").attr("href");
        //});
    });
</script>
@*== Action Buttons ================================================*@
<h2>@Caption.Index @Caption.Documents</h2>
<p>
    @Html.ActionLink("ایجاد مورد جدید", "Create", "Documents", null, new { @class = "btn btn-primary" })
</p>
@*== Grid Body ================================================*@
<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div id="gridContent" class="gridContent">
                    @grid.GetHtml(
            htmlAttributes: new { id = "DocumentsGride" },
            caption: "لیست اسناد",
            tableStyle: "webgrid-table",
            headerStyle: "webgrid-header",
            footerStyle: "webgrid-footer",
            rowStyle: "webgrid-row-style",
            alternatingRowStyle: "webgrid-alt-row",
            selectedRowStyle: "webgrid-selected-Row",
            displayHeader: true,
            mode: WebGridPagerModes.All,
            firstText: "<<  اولین",
            previousText: "<  قبلی",
            nextText: "بعدی  >",
            lastText: "آخرین  >>",
            numericLinksCount: 5,
            fillEmptyRows: false,
            emptyRowCellValue: "خالی",

            columns: grid.Columns(
            grid.Column(
            "ID",
            (grid.SortColumn == "ID" ? (grid.SortDirection == SortDirection.Ascending ? "# ▼" : "# ▲") : "#"),
            format: (item) => item.GetSelectLink(item.ID.ToString()),
            style: "col60"),

            grid.Column(
                "Group.DisplayGroupName",
                (grid.SortColumn == "Group.DisplayGroupName" ? (grid.SortDirection == SortDirection.Ascending ? Caption.GroupName + " ▼" : Caption.GroupName + " ▲") : Caption.GroupName),
                format:
                @<text>
                    <span class="display-mode"><label id="lblParentID">@item.Group.DisplayGroupName</label></span>
                </text>,
                style: "col160"),

            grid.Column(
            "Title",
            (grid.SortColumn == "Title" ? (grid.SortDirection == SortDirection.Ascending ? Caption.Title + " ▼" : Caption.Title + " ▲") : Caption.Title),
            format:
            @<text>
                <span class="display-mode"><label id="lblGroupName">@item.DisplayTitle</label></span>
            </text>,
            style: "col200"),

          @*grid.Column(
            "KeyWord",
            (grid.SortColumn == "KeyWord" ? (grid.SortDirection == SortDirection.Ascending ? Caption.KeyWord + " ▼" : Caption.KeyWord + " ▲") : Caption.KeyWord),
            format:
            @<text>
                <span class="display-mode"><label id="lblGroupName">@item.DisplayKeyWord</label></span>
            </text>,
            style: "col140"),*@

         grid.Column(
            "Date_Doc",
            (grid.SortColumn == "Date_Doc" ? (grid.SortDirection == SortDirection.Ascending ? Caption.Date_Doc + " ▼" : Caption.Date_Doc + " ▲") : Caption.Date_Doc),
            format:
            @<text>
                <span class="display-mode"><label id="lblGroupName">@item.Date_Doc</label></span>
            </text>,
            style: "col60"),

            grid.Column("دستورات",
            format: @<text>
                @Html.ActionLink(@Caption.Context, "Context", "Documents", new { id = item.ID },null)
                |
                @Html.ActionLink(Caption.Edit, "Edit", "Documents", new { id = item.ID }, null)
                |
                @Html.ActionLink(Caption.Delete, "Delete", "Documents", new { id = item.ID }, null)
                |
                @Html.ActionLink(@Caption.Attachment, "Create", "Attachments", new { id = item.ID }, null)
            </text>,
            style: "col80", canSort: false)))
                </div>
            </div>
        </div>
    </div>
</div>





@*<table class="table table-hover table-bordered">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.ID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Group.GroupName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.KeyWord)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date_Doc)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ID)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Group.DisplayGroupName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DisplayTitle)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DisplayKeyWord)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Date_Doc)
            </td>
            <td>
                @Html.ActionLink(@Caption.Context, "Context", new { id = item.ID }) |
                @Html.ActionLink(@Caption.Edit, "Edit", new { id = item.ID }) |
                @Html.ActionLink(@Caption.Delete, "Delete", new { id = item.ID }) |
                @Html.ActionLink(@Caption.Attachment, "Create", "Attachments", new { id = item.ID }, null)
            </td>
        </tr>
    }

</table>*@